@echo off

IF "%1"=="" GOTO Err_Print

REN AFUDOSU.SMC AFUDOSU.EXE

AFUDOSU.EXE %1 /P /B /N /K /R /ME

REN AFUDOSU.EXE AFUDOSU.SMC
if errorlevel 1 goto END
call 3
call 4
echo TXE has been updated!! Please remove AC power for few seconds to reload the new firmware setting.

Goto END

:Err_Print
echo *********************************************************
echo   Usage:
echo			flash.bat romfile
echo *********************************************************


:END